summaryrefslogtreecommitdiff
path: root/yad-panel.sh
diff options
context:
space:
mode:
Diffstat (limited to 'yad-panel.sh')
-rw-r--r--yad-panel.sh60
1 files changed, 60 insertions, 0 deletions
diff --git a/yad-panel.sh b/yad-panel.sh
new file mode 100644
index 0000000..dee551d
--- /dev/null
+++ b/yad-panel.sh
@@ -0,0 +1,60 @@
+#!/bin/bash
+
+buttons() {
+ while wmctrl -l | grep -qv 'Yad Icon panel'; do
+ if [ -f "$HOME/.automatisiere-lieblingstexte.pause.switch" ]; then
+ yad --title="Yad Icon panel" \
+ --button="👍":0 --button="🔊":1 --button="🔁":2 \
+ --form \
+ --columns=1 \
+ --text "$(echo -n \"$(cat \\"$HOME/.automatisiere-lieblingstexte.linea.actual.txt\\")\")" \
+ --width=400 --posx=$(($(( $(xrandr --query | grep '*' | awk '{print $1}' | cut -d'x' -f1) )) - 400 - 20)) --posy=20
+ case $? in
+ 0)
+ [ -f "$HOME/.automatisiere-lieblingstexte.pause.switch" ] && rm "$HOME/.automatisiere-lieblingstexte.pause.switch" || touch "$HOME/.automatisiere-lieblingstexte.pause.switch"
+ ;;
+ 1)
+ sleep 0.2 && xdotool key Shift+Tab && sleep 0.1 && xdotool key space && sleep 0.7 && xdotool key e && sleep 0.5 && xdotool key space && sleep 0.4 && xdotool key Tab
+ ;;
+ 2)
+ sleep 0.2 && xdotool key control+r
+ ;;
+ esac
+ fi
+ done
+}
+
+# Primer YAD inicial
+texto=$(yad --center --width=500 --height=490 --title="Yad Icon panel" \
+ --button="👍":0 \
+ --text="Pega el texto que quieres estudiar o escribe editar para editar:" \
+ --editable --entry)
+
+case $? in
+ 0)
+ if [ -n "$texto" ]; then
+ archivo=$(cat "$HOME/automatisiere-lieblingstexte/README.md" | grep 'mytext=' | awk -F"=" '{print $2}' | tr -d "'")
+ if [ ! -f "$archivo" ] || ! diff -q <(echo "$texto") "$archivo" > /dev/null; then
+ echo "$texto" > "$archivo"
+ echo "Ok"
+ # Empieza el bucle, pasándole el texto inicial
+ l3afpad $archivo &
+ yad --width=500 --height=490 \
+ --center --title="Listo para empezar" \
+ --button="👍":0 \
+ --text="Puedes modificar el texto ...o si ya está todo listo empezemos!"
+
+ case $? in
+ 0)
+ bash "$HOME/automatisiere-lieblingstexte/yad-panel.sh" 'Z9SWsMuc89'
+ ;;
+ esac
+ buttons
+ else
+ echo "No upd"
+ fi
+ else
+ echo "Nada"
+ fi
+ ;;
+esac